- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB DPMS API

DPMS XCB Protocol Implementation. More...

## Data Structures
struct | xcb_dpms_get_version_cookie_t
| xcb_dpms_get_version_cookie_t More...
struct | xcb_dpms_get_version_request_t
| xcb_dpms_get_version_request_t More...
struct | xcb_dpms_get_version_reply_t
| xcb_dpms_get_version_reply_t More...
struct | xcb_dpms_capable_cookie_t
| xcb_dpms_capable_cookie_t More...
struct | xcb_dpms_capable_request_t
| xcb_dpms_capable_request_t More...
struct | xcb_dpms_capable_reply_t
| xcb_dpms_capable_reply_t More...
struct | xcb_dpms_get_timeouts_cookie_t
| xcb_dpms_get_timeouts_cookie_t More...
struct | xcb_dpms_get_timeouts_request_t
| xcb_dpms_get_timeouts_request_t More...
struct | xcb_dpms_get_timeouts_reply_t
| xcb_dpms_get_timeouts_reply_t More...
struct | xcb_dpms_set_timeouts_request_t
| xcb_dpms_set_timeouts_request_t More...
struct | xcb_dpms_enable_request_t
| xcb_dpms_enable_request_t More...
struct | xcb_dpms_disable_request_t
| xcb_dpms_disable_request_t More...
struct | xcb_dpms_force_level_request_t
| xcb_dpms_force_level_request_t More...
struct | xcb_dpms_info_cookie_t
| xcb_dpms_info_cookie_t More...
struct | xcb_dpms_info_request_t
| xcb_dpms_info_request_t More...
struct | xcb_dpms_info_reply_t
| xcb_dpms_info_reply_t More...
## Defines
#define | XCB_DPMS_MAJOR_VERSION 0
#define | XCB_DPMS_MINOR_VERSION 0
#define | XCB_DPMS_GET_VERSION 0
#define | XCB_DPMS_CAPABLE 1
#define | XCB_DPMS_GET_TIMEOUTS 2
#define | XCB_DPMS_SET_TIMEOUTS 3
#define | XCB_DPMS_ENABLE 4
#define | XCB_DPMS_DISABLE 5
#define | XCB_DPMS_FORCE_LEVEL 6
#define | XCB_DPMS_INFO 7
## Enumerations
enum | xcb_dpms_dpms_mode_t { XCB_DPMS_DPMS_MODE_ON, XCB_DPMS_DPMS_MODE_STANDBY, XCB_DPMS_DPMS_MODE_SUSPEND, XCB_DPMS_DPMS_MODE_OFF }
## Functions
xcb_dpms_get_version_cookie_t | xcb_dpms_get_version (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_dpms_get_version_cookie_t | xcb_dpms_get_version_unchecked (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_dpms_get_version_reply_t * | xcb_dpms_get_version_reply (xcb_connection_t *c, xcb_dpms_get_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_dpms_capable_cookie_t | xcb_dpms_capable (xcb_connection_t *c)
xcb_dpms_capable_cookie_t | xcb_dpms_capable_unchecked (xcb_connection_t *c)
xcb_dpms_capable_reply_t * | xcb_dpms_capable_reply (xcb_connection_t *c, xcb_dpms_capable_cookie_t cookie, xcb_generic_error_t **e)
xcb_dpms_get_timeouts_cookie_t | xcb_dpms_get_timeouts (xcb_connection_t *c)
xcb_dpms_get_timeouts_cookie_t | xcb_dpms_get_timeouts_unchecked (xcb_connection_t *c)
xcb_dpms_get_timeouts_reply_t * | xcb_dpms_get_timeouts_reply (xcb_connection_t *c, xcb_dpms_get_timeouts_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dpms_set_timeouts_checked (xcb_connection_t *c, uint16_t standby_timeout, uint16_t suspend_timeout, uint16_t off_timeout)
xcb_void_cookie_t | xcb_dpms_set_timeouts (xcb_connection_t *c, uint16_t standby_timeout, uint16_t suspend_timeout, uint16_t off_timeout)
xcb_void_cookie_t | xcb_dpms_enable_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_enable (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_disable_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_disable (xcb_connection_t *c)
xcb_void_cookie_t | xcb_dpms_force_level_checked (xcb_connection_t *c, uint16_t power_level)
xcb_void_cookie_t | xcb_dpms_force_level (xcb_connection_t *c, uint16_t power_level)
xcb_dpms_info_cookie_t | xcb_dpms_info (xcb_connection_t *c)
xcb_dpms_info_cookie_t | xcb_dpms_info_unchecked (xcb_connection_t *c)
xcb_dpms_info_reply_t * | xcb_dpms_info_reply (xcb_connection_t *c, xcb_dpms_info_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_dpms_id

## Detailed Description

DPMS XCB Protocol Implementation.

## Define Documentation

#define XCB_DPMS_CAPABLE 1

Opcode for xcb_dpms_capable.

#define XCB_DPMS_DISABLE 5

Opcode for xcb_dpms_disable.

#define XCB_DPMS_ENABLE 4

Opcode for xcb_dpms_enable.

#define XCB_DPMS_FORCE_LEVEL 6

Opcode for xcb_dpms_force_level.

#define XCB_DPMS_GET_TIMEOUTS 2

Opcode for xcb_dpms_get_timeouts.

#define XCB_DPMS_GET_VERSION 0

Opcode for xcb_dpms_get_version.

#define XCB_DPMS_INFO 7

Opcode for xcb_dpms_info.

#define XCB_DPMS_SET_TIMEOUTS 3

Opcode for xcb_dpms_set_timeouts.

## Function Documentation

xcb_dpms_capable_cookie_t xcb_dpms_capable | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_dpms_capable_reply_t* xcb_dpms_capable_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_capable_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_capable_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_dpms_capable_cookie_t xcb_dpms_capable_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_dpms_disable | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_dpms_disable_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_dpms_enable | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_dpms_enable_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_dpms_force_level | ( | xcb_connection_t * | c,
|  | uint16_t | power_level |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_dpms_force_level_checked | ( | xcb_connection_t * | c,
|  | uint16_t | power_level |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_dpms_get_timeouts_reply_t* xcb_dpms_get_timeouts_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_get_timeouts_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_get_timeouts_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_dpms_get_timeouts_cookie_t xcb_dpms_get_timeouts_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_dpms_get_version_cookie_t xcb_dpms_get_version | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_dpms_get_version_reply_t* xcb_dpms_get_version_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_get_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_get_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_dpms_get_version_cookie_t xcb_dpms_get_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_dpms_info_cookie_t xcb_dpms_info | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_dpms_info_reply_t* xcb_dpms_info_reply | ( | xcb_connection_t * | c,
|  | xcb_dpms_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dpms_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_dpms_info_cookie_t xcb_dpms_info_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_dpms_set_timeouts | ( | xcb_connection_t * | c,
|  | uint16_t | standby_timeout,
|  | uint16_t | suspend_timeout,
|  | uint16_t | off_timeout |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_dpms_set_timeouts_checked | ( | xcb_connection_t * | c,
|  | uint16_t | standby_timeout,
|  | uint16_t | suspend_timeout,
|  | uint16_t | off_timeout |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().